using lecture4.dto;
using lecture4.repository.Entities;

namespace lecture4.repository.Migrations
{
    using System.Data.Entity.Migrations;

    internal sealed class Configuration : DbMigrationsConfiguration<DataContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(DataContext context)
        {
            context.Issues.AddOrUpdate(
                new []
                {
                    new IssueEntity
                    {
                        Id = 1,
                        Owner = "johnsnow@gmai.com",
                        Type = IssueTypeEnum.Defect,
                        Summary = "I'm dead now."
                    },
                    new IssueEntity
                    {
                        Id = 2,
                        Owner = "joe@gmai.com",
                        Type = IssueTypeEnum.Feature,
                        Summary = "Add new feature, please."
                    },
                    new IssueEntity
                    {
                        Id = 3,
                        Owner = "darthvader@gmai.com",
                        Type = IssueTypeEnum.Defect,
                        Summary = "I'm not Luke's father."
                    },
                });

            for (int i = 1; i <= 20; i++)
            {
                context.Comments.AddOrUpdate(
                    new[]
                    {
                        new CommentEntity
                        {
                            Id = i,
                            Author = "spammer@gmail.com",
                            IssueId = 3,
                            Text = "Noooooooooooooooooooo"
                        },
                    });
            }
        }
    }
}
