﻿using System.Linq;
using System.Threading.Tasks;
using System.Web.Http;
using lecture4.repository.Repositories;

namespace lecture4.Controllers
{
    [RoutePrefix("comments")]
    public class CommentController : ApiController
    {
        private readonly CommentRepository _commentRepository;

        public CommentController(CommentRepository commentRepository)
        {
            _commentRepository = commentRepository;
        }

        [HttpGet]
        [Route("")]
        public async Task<IHttpActionResult> GetAuthorComments(string author, int pageSize = 0, int page = 1)
        {
            var comments = await _commentRepository.GetByAuthorAsync(author);

            comments = comments.Skip((page - 1)*pageSize).ToList();

            if (pageSize > 0)
            {
                comments = comments.Take(pageSize).ToList();
            }

            return Ok(comments);
        }
    }
}