﻿using System;
using System.Net.Http;
using System.Web.Http.Controllers;
using System.Web.Http.Dispatcher;
using lecture4.Controllers;
using lecture4.repository.Repositories;

namespace lecture4
{
    public class CustomActivator : IHttpControllerActivator
    {
        public IHttpController Create(HttpRequestMessage request, HttpControllerDescriptor controllerDescriptor, Type controllerType)
        {
            if (controllerType == typeof (IssueController))
            {
                return new IssueController(new IssueRepository(), new CommentRepository());
            }

            if (controllerType == typeof (CommentController))
            {
                return new CommentController(new CommentRepository());
            }

            return new DefaultHttpControllerActivator().Create(request, controllerDescriptor, controllerType);
        }
    }
}